#
#  Makefile for @THIS_BROKER_NAME@
#
all:
	./RunBroker

clean:
	-(cd admin; rm -f Registry LAST* ii* tt*)
	-rm -rf core .glimpse_* objects stats.html

#  reboot-broker will cause the Broker to start cleanly from scratch
reboot-broker:	reboot-note clean all
	@echo "Rebooted the Broker."

reboot-note:
	@echo "NOTE: You should have already shutdown the Broker."
	@echo "If you haven't, then shut it down now!  I'll give you a minute."
	-@sleep 60
	@echo "Ok, rebooting the broker now..."
